# Mithrix the Accursed

Phases 1, 2, and 3 have been reworked, Phase 4 has been enhanced and loop scaling has been added (configurable) to provide an intense and challenging experience no matter how long your run is. The game defines a loop as ~5 stages so when you see "1 loop" that means going to the moon "without looping".

Phase info:

- Phase 1 HammerSlam, SprintBash, and Dash release a pattern of projectiles. Skyleap is now Crushing Leap, you can't outrun him get in the air.
- Phase 2 Mithrix returns instead of Chimera and uses a tracking pizza. SprintBash and HammerSlam are more powerful.
- Phase 3 Mithrix is immune and inside a flame pillar for pizza. Pizza is stationary and tracking.
- Phase 4 Mithrix quickly fires ***super shards*** and releases a deadlier fist slam while the arena crumbles around you.

The configurable stuff:

- Projectile amount
- HP scaling per loop/player
- Mobility (movementspd, acceleration, turningspd) scaling per loop/player
- Skills (stocks/cooldowns)
- Debuff Resistance (immune to freeze/tentabauble) (applies after 2 loops - 10 stages even with the config off)

## Future Plans
- Reworking Phase 4 and adding anti-cheese
- Making the fight optional
- Abilities
	- If Mithy is slowed, chrono'd, or sprinting he releases a burst of projectiles or a focused barrage
- Phase 4 all allies are destroyed (drones, minions, etc...) Mithrix gains no allies from items (blacklisted). FistSlam is tracking (releases a circle of orbs at your position) and releases a forward shockwave. Mithrix can't use your items but you don't get them back until the fight is over (this might be a stretch to do). Basically turns into a slugfest between you and him. (Might change, Phase 4 is hard to make fun)

## Credits

**Artifact of the King**: Base code is refactored from Blobface (https://thunderstore.io/package/Blobface/Artifact_of_the_King/)

**Inferno**: Referenced code from HIFU's Mithrix fight (https://thunderstore.io/package/HIFU/Inferno/)

## Changelog

**2.9.8**

- R2API bullshit

**2.9.7**

- Changes P2 pizza to be under Mithrix
- P3 tracking pizza gets +2 lines
- Changes tracking pizza to follow a random player instead of splitting [why?](https://cdn.discordapp.com/attachments/836312463981019193/1038600737090969663/unknown.png)
- SprintBash wave move to P2
- SprintBash pizza lines moved to P3
- SprintBash pizza lines tightened lines
- HammerSlam pizza stationary

**2.9.6**

- Removes Lunar Chimera from fight (they just insta-die)

**2.9.5**

- DELETE YOUR MITHRIXTHEACCURSEDCONFIG
- Removes P5 pizza line intensity increase
- Adds 6 P3 pizza lines to P2 + P3 HammerSlam
- Adds 3 P5 pizza lines (doesnt hit full vertical) to P2 + P3 SprintBash
- Shrunk flame pillar
- Adds 1 glass clone after P2 Crushing Leap
- P2 Ult Change
	- Removed Lunar Devastation completely (not as threatening and laggy)
	- A pizza spawns near each player (number of lines is divided by amount of players)
- P3 Ult Change
	- Mithrix is immune and inside a flame pillar
	- A pizza spawns under Mithrix (number of lines is divided by amount of players + 1)
	- A pizza spawns near each player
- Adds HP to Phase 4 to account for P4's boosted HP (+400 Base +120 Level)
- Changes many config values (removes, edits, adds)
	- Removes unused values
	- Changes some base and max values able to be edited in-game for some
	- Re-adds default loop scaling value (leaves first loop empty)
	- Re-adds default player scaling
	- Reduces HP
	- Increases CDs (mainly so Eclipse players don't get blitzed with abilities) (plus I feel like old CDs were a bit spammy)
	- Reduces Dash projectile count
	- Increases Move Speed and Acceleration (due to higher mass)

**2.8.0**

- Replaces Dash/SprintBash sounds with something less loud
- Adds a glass clone to Dash that lasts for 1 second (may or may not get an attack off)
- Removes death animation for glass clones (no more constant jumping noises yay!)
- Replaces Golem/Exploder projectiles in P1 WeaponSlam with Super Shards
- Removes P1 WeaponSlam halving projectiles
- Adds a singular shockwave and Super Shard to SprintBash

**2.7.5**

- Adds Crushing Leap
- Adds Super Shards to Phase 2 Ult
- Changes shockwaves to weaponslam waves for Phase 2 Ult

**2.7.1**

- Changes icon
- Adds better description to some config values
- Adds Phase 4 Super Shard count and cooldown to config
- Fixes Dash/Bash projectiles being set to zero breaking Mithrix
- Code cleanup 
	- Using Addressables instead of LegacyResourcesAPI for assets
	- Uses Nuxlar instead of zorp as the name
	- Updates bepinex dep in manifest

**2.7.0**

- Cleaning up dependencies/code
- Removes clones from Phase 4
- Mithrix can move again for Phase 4
- Enhances Phase 4 abilities (Fist Slam with Projectiles and Super Shards)
- Changes Phase 2 ability
	- Removes all projectiles except golem projectiles
	- Adds circle of wave projectiles
	- Intensifies the random flame lines

**2.6.1**

- Removes extra VFX from phase 2 ability
- Removed some projectiles from phase 2 ability
- Adds random flame lines to phase 2 ability
- Delays Phase 4 clones from spawning so they get less items
- Reduces Phase 4 clones primary cooldown
- Adds Flame lines to Phase 4
- Reduces a lot of projectile values and removing some

**2.6.0**

- Reduced projectile damage
- Reduced projectiles on attacks and added them to the config
- Splits player scaling config into playerMobilityScaling and playerHPScaling
- Fixes Phase 2 having too much HP
- Adds larger flame pillar
- Reworks Phase 2
	- The previous sprint barrage has been turned into it's own attack

**2.5.2**

- Changes some projectile patterns
- Adds sounds to projectile barrages
- Removes chat logs in phase 4

**2.5.1**

- Spawns the mithrix clones slightly earlier so they get more items

**2.5.0**

- Reverted my "improvements"
- Reworks Phase 4 
	- Items are quickly stolen
	- A clone spawns at each ramp stealing a small portion of items
	- Main Mithrix Stands in the center and fist slams every 5 secs (launches several projectiles)
	- Clones only have lunar shards (6 shards per stock)
- Adds a blast shower to Phase 2 & 3 Mithrix (10 sec CD)
- Adds a periodic projectile blast while sprinting (4 secs)
- Adds 4 types of projectiles to Hammer Slam (Orbs, Golem, Exploder, Lunar Shards)
- Adds 3 types of projectiles to Sprint Bash (Golem, Exploder, Lunar Shards)
- Adds 3 types of projectiles to Dash (Golem, Exploder, Lunar Shards)
- Adds 3 types of projectiles to Sky leap (Orbs, Golem, Exploder)
- Fixes Phase 2 Mithrix having way less HP
- Fixes phase 4 mithrix not having debuff resistance
- Removed Phase configs
- Removed umbral clones  
- Removed Elite Mithrix
- Removed Debuff Immunity
- Reduces default HP config
- Reduces default speed config
- Reduces default Skyleap projectiles
- Reduces default WeaponSlam projectiles
- Reduces default WeaponSlam stocks and increases CD
- Reduces default SprintBash stocks and increases CD
- Reduces default Dash stocks and increases CD

**2.0.1**

- Removes unused config value (P4 mobility)
- Fixes doppel event not triggering sometimes
- Fixes Phase 4 infinite immune after dios
- Fixes enhanced hammer attack sometimes not working
- Fixes "vanilla" phase 3 not having glass clones
- Fixes "vanilla" phase 3 not having pizza attack

**2.0.0**

- IF YOURE UPDATING DELETE YOURE CONFIG (this is the price of configurability and satisfying almost everyone)
- Debuff resistance applies after 2 loops (10 stages)
- Debuff immunity applies after 3 loops (15 stages)
- Debuff resistance/immunity can be configured to start from loop 1 (5 stages)
- First loop scaling is now separate from other loop scaling
- Removed damage, armor, and shards from stat scaling
- Split scaling into HP and Mobility (movespd, acceleration, turnspd)
- Removed Mobility scaling from Phase 4
- Edited Risk Of Options values so the sliders arent nuts
- Added random elite option
- Made elite Mithrix phase 2 instead of 3
- Made 99% of the mod configurable
- Changed A LOT of default values (so the fight is more forgiving and less bullshit)
- Removed Umbral Mithrix to differentiate since the enhanced fight uses umbras
- Removed larger flame pillar because of enhanced phase 3
- Added enhanced Phase 1
	- Decaying umbral clone spawns after skyleap (2 for groups with 3+ survivors)
- Added enhanced Phase 2
	- Mithrix becomes an elite (default malachite)
	- Decaying umbral clone spawns after skyleap (2 for groups with 3+ survivors)
- Added enhanced Phase 3
	- Mithrix splits into 2 enemies with half HP (3 for groups of 3+)
- Added enhanced Phase 4
	- This phase is now unskippable
	- Items are quickly stolen
	- Mithrix's fist slam is deadlier with a fan of shards and a pizza

**1.1.1**

- Fixed umbra Mithrix doing 4% damage and having 10x HP (Didn't think it was THAT bad but DAMN)
- Removed the clones from getting the umbra item

**1.1.0**

- IF YOURE UPDATING DELETE YOUR MITHRIXTHEACCURSED CONFIG FILE
- Added Risk of Options support
- Added Umbral Mithrix (configurable on/off)
- Added flat loop scaling
- Added vanilla values to config
- Added scaling config
- Added Phase 3 elite to config (disable/enable + elite type)
- Tweaked default config values
- Fixed flow not working when fighting Mithrix multiple times (Looper mod)
- Added Phase 1 scaling (5% per loop, 1.25% per player)
- Reduced Phase 2 scaling (10% per loop, 2.5% per player)
- Reduced Phase 3 scaling (20% per loop, 5% per player)
- Added Phase 4 scaling (5% per loop, 1.25% per player)
- README edits

**1.0.0**

- v1 release!
- Implemented a custom flow for the fight
- Fixed slow item steal (0.9.6 goof)
- Reduced clone scaling (1 per player - maxes out at 4 cuz lag)
- Removed some config (constant Malachite Mithrix, clone count, phase 2 skip)
- Removed the scuffed weaken
- Mithrix gains a 15% stat buff phase 2 (scales 15% per player)
- Mithrix gains a 30% stat buff phase 3 (scales 30% per player)
- Mithrix becomes corrupted in phase 3
- fixed placement of phase 4 pizza slam
- README edits

**0.9.6**

- done goofed and left perfected mithrix instead of malachite

**0.9.5**

- Adds config for debuff resistance (freeze/nullify)
- Makes Phase 1 Mithrix 15% weaker with some stats
- Halves Phase 1 skyleap wave and hammer slam wave/orb
- Phase 3 Mithrix is no longer weakened and gets a 10% buff per player to most stats
- Shadow clones spawn per player now
- README edit

**0.9.2**

- Removed raincoats except for full immunity config
- Made Mithrix immune to freezing and the tentabauble
- Added shrapnel wave to hammer slam
- Doubled shrapnel wave when he exits his sky leap
- Beefed up default stats
- Added config for sky leap wave
- README edit

**0.8.8**

- Added config for Phase 2 skip
- Added config for debuff resistance as the default instead of full immunity - raincoats without barriers and lower regen
- Added config for Malachite Mithrix for a more dangerous arena (off by default)
- refactored code
- README edit

**0.8.4**

- Added debuff immunity to Mithrix (configurable)
- refactored some more
- README edit

**0.8.0**

- Should work fine I want to refactor/add more or catch any bugs before making it a 1.0.0 release.
